%global php_apiver  %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)
%global php_extdir  %(php-config --extension-dir 2>/dev/null || echo "undefined")
%global php_version %(php-config --version 2>/dev/null || echo 0)

Summary: 	JSON is a PHP extension for JavaScript Object Notation
Name: 		php-pecl-json
Version: 	1.2.1
Release: 	1%{?dist}
License: 	PHP License
Group: 		Development/Languages
URL: 		http://pecl.php.net/package/json

Source: 	http://pecl.php.net/get/json-%{version}.tgz
Source1:	PHP-LICENSE-3.01
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides: 	php-pecl(json),
Provides:	php-json
Requires: 	php-api = %{php_apiver}
BuildRequires: 	php-devel
BuildRequires:	file

%description
This extension implements the JavaScript Object Notation (JSON) 
data-interchange format. The decoding is handled by a parser based 
on the JSON_checker by Douglas Crockford

%prep
%setup -c -q
%{__install} -m 644 -c %{SOURCE1} json-%{version}/LICENSE

%build
cd json-%{version}
phpize
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
cd json-%{version}
%{__make} install INSTALL_ROOT=%{buildroot}

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/json.ini << 'EOF'
; Enable json extension module
extension=json.so
EOF

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc json-%{version}/LICENSE json-%{version}/README
%config(noreplace) %{_sysconfdir}/php.d/json.ini
%{php_extdir}/json.so

%changelog
* Mon Apr 16 2007 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
- 
